> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single List Details

> Get single list details based on id.



## OpenAPI

````yaml /openapi-v1.json get /list/{id}
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /list/{id}:
    get:
      tags:
        - Lists
      summary: Get Single List Details
      description: Get single list details based on id.
      operationId: get-single-list-details
      parameters:
        - name: id
          in: path
          required: true
          description: List Id
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: number
                  data:
                    type: object
                    properties:
                      contact_count:
                        type: number
                      list_status:
                        type: string
                        minLength: 1
                      list_type:
                        type: string
                        minLength: 1
                      name:
                        type: string
                        minLength: 1
                      open_percentage:
                        type: number
                    required:
                      - contact_count
                      - id
                      - list_status
                      - list_type
                      - name
                      - open_percentage
                required:
                  - count
                  - data
              examples:
                example-1:
                  value:
                    count: 10
                    data:
                      contact_count: 1000
                      id: xze
                      list_status: Waiting for approval
                      list_type: Normal List
                      name: Email subscription-list
                      open_percentage: 50
        '401':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                          minLength: 1
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: id
                        message: Record not found with the given Id
                example-2:
                  value:
                    errors:
                      - field: string
                        message: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````